org.springframework.context.expression

## Class MapAccessor

- java.lang.Object
- - org.springframework.context.expression.MapAccessor

- All Implemented Interfaces:
    PropertyAccessor

      public class MapAccessor
      extends Object
      implements PropertyAccessor

  EL property accessor that knows how to traverse the keys of a standard `Map`.
  Since:
    3.0
  Author:
    Juergen Hoeller, Andy Clement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRead(EvaluationContext context, Object target, String name)` Called to determine if a resolver instance is able to access a specified property on a specified target object.
    `boolean` | `canWrite(EvaluationContext context, Object target, String name)` Called to determine if a resolver instance is able to write to a specified property on a specified target object.
    `Class<?>[]` | `getSpecificTargetClasses()` Return an array of classes for which this resolver should be called.
    `TypedValue` | `read(EvaluationContext context, Object target, String name)` Called to read a property from a specified target object.
    `void` | `write(EvaluationContext context, Object target, String name, Object newValue)` Called to write to a property on a specified target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapAccessor

          public MapAccessor()

  - ### Method Detail

    - #### getSpecificTargetClasses

          public Class<?>[] getSpecificTargetClasses()

      Description copied from interface: `PropertyAccessor`
      Return an array of classes for which this resolver should be called.

      >Returning `null` indicates this is a general resolver that can be called in an attempt to resolve a property on any type.

      Specified by:
        `getSpecificTargetClasses` in interface `PropertyAccessor`
      Returns:
        an array of classes that this resolver is suitable for (or `null` if a general resolver)

    - #### canRead

          public boolean canRead(EvaluationContext context,
                                 Object target,
                                 String name)
                          throws AccessException

      Description copied from interface: `PropertyAccessor`
      Called to determine if a resolver instance is able to access a specified property on a specified target object.
      Specified by:
        `canRead` in interface `PropertyAccessor`
      Parameters:
        `context` - the evaluation context in which the access is being attempted
        `target` - the target object upon which the property is being accessed
        `name` - the name of the property being accessed
      Returns:
        true if this resolver is able to read the property
      Throws:
        `AccessException` - if there is any problem determining whether the property can be read

    - #### read

          public TypedValue read(EvaluationContext context,
                                 Object target,
                                 String name)
                          throws AccessException

      Description copied from interface: `PropertyAccessor`
      Called to read a property from a specified target object. Should only succeed if `PropertyAccessor.canRead(org.springframework.expression.EvaluationContext, java.lang.Object, java.lang.String)` also returns `true`.
      Specified by:
        `read` in interface `PropertyAccessor`
      Parameters:
        `context` - the evaluation context in which the access is being attempted
        `target` - the target object upon which the property is being accessed
        `name` - the name of the property being accessed
      Returns:
        a TypedValue object wrapping the property value read and a type descriptor for it
      Throws:
        `AccessException` - if there is any problem accessing the property value

    - #### canWrite

          public boolean canWrite(EvaluationContext context,
                                  Object target,
                                  String name)
                           throws AccessException

      Description copied from interface: `PropertyAccessor`
      Called to determine if a resolver instance is able to write to a specified property on a specified target object.
      Specified by:
        `canWrite` in interface `PropertyAccessor`
      Parameters:
        `context` - the evaluation context in which the access is being attempted
        `target` - the target object upon which the property is being accessed
        `name` - the name of the property being accessed
      Returns:
        true if this resolver is able to write to the property
      Throws:
        `AccessException` - if there is any problem determining whether the property can be written to

    - #### write

          public void write(EvaluationContext context,
                            Object target,
                            String name,
                            Object newValue)
                     throws AccessException

      Description copied from interface: `PropertyAccessor`
      Called to write to a property on a specified target object. Should only succeed if `PropertyAccessor.canWrite(org.springframework.expression.EvaluationContext, java.lang.Object, java.lang.String)` also returns `true`.
      Specified by:
        `write` in interface `PropertyAccessor`
      Parameters:
        `context` - the evaluation context in which the access is being attempted
        `target` - the target object upon which the property is being accessed
        `name` - the name of the property being accessed
        `newValue` - the new value for the property
      Throws:
        `AccessException` - if there is any problem writing to the property value